public class SoldatDemoRuntime {
	private Runtime runtime;
	
	SoldatDemoRuntime(Runtime runtime) {
		this.runtime = runtime;
	}
	
	public void exeSoldatDemo(String exeFileName, String demoFileName,
		int freecam, int speed, int text, int bmp) {
		
		demoFileName = demoFileName.substring(0, demoFileName.length() - 4);
		
		System.out.println(demoFileName);

		
		String command = "\"" + exeFileName + "\" -demo " + demoFileName + " ";
		command += freecam + " " + speed + " " + text + " " + bmp;
		
		System.out.println(command);
		try {
			Process process = runtime.exec(command);

			process.waitFor();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
}

